package com.fjhx.sale.service.pack;

import com.fjhx.sale.entity.pack.po.PackDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackDetailVo;
import com.fjhx.sale.entity.pack.dto.PackDetailSelectDto;
import com.fjhx.sale.entity.pack.dto.PackDetailDto;

import java.util.List;


/**
 * <p>
 * 装箱出货明细表	 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackDetailService extends BaseService<PackDetail> {

    /**
     * 装箱出货明细表	分页
     */
    Page<PackDetailVo> getPage(PackDetailSelectDto dto);

    /**
     * 装箱出货明细表	明细
     */
    PackDetailVo detail(Long id);

    /**
     * 装箱出货明细表	新增
     */
    void add(PackDetailDto packDetailDto);

    /**
     * 装箱出货明细表	编辑
     */
    void edit(PackDetailDto packDetailDto);

    /**
     * 装箱出货明细表	删除
     */
    void delete(Long id);

    /**
     * 出货
     * @param ids
     */
    void shipment(List<Long> ids,Long contractId);
}
